task annovar {

	File varscan_snp
	File varscan_indel
	File database
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${varscan_snp} ${database} -buildver hg38 -out ${sample}_varscan_snp -remove -protocol refGene,ensGene,knownGene,cytoBand,genomicSuperDups,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad211_exome,clinvar_20200316 -operation g,g,g,r,r,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
		/installations/annovar/table_annovar.pl ${varscan_indel} ${database} -buildver hg38 -out ${sample}_varscan_indel -remove -protocol refGene,ensGene,knownGene,cytoBand,genomicSuperDups,ljb26_all,dbnsfp35c,intervar_20180118,cosmic70,exac03,gnomad211_exome,clinvar_20200316 -operation g,g,g,r,r,f,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>
	
	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File avinput_varscan_snp = "${sample}_varscan_snp.avinput"
		File multianno_varscan_snp_txt = "${sample}_varscan_snp.hg38_multianno.txt"
		File multianno_varscan_snp = "${sample}_varscan_snp.hg38_multianno.vcf"
		File avinput_varscan_indel = "${sample}_varscan_indel.avinput"
		File multianno_varscan_indel_txt = "${sample}_varscan_indel.hg38_multianno.txt"
		File multianno_varscan_indel = "${sample}_varscan_indel.hg38_multianno.vcf"
	}
}